Bug 205977 - updating 2.6.17-1.2174_FC5 problem with ATI 9800 series.
updating 2.6.17-1.2174_FC5 problem with ATI 9800 series.
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-09-11 02:02 EDT by JuanIgnacioTorres
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-26 15:09:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description JuanIgnacioTorres 2006-09-11 02:02:15 EDT
Description of problem:

After updating to 2.6.17-1.2174_FC5 I am noticing some issues with my ATI 9800
series card. 

Horizontal red lines upper the screen.

Frezze later in the login user.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

The system: 2.6.15-1.2054_fc5 load good.

Sorry my english is poor. Tanks
Comment 1 JuanIgnacioTorres 2006-09-11 02:05:24 EDT
Don't find solution for this in Bugzilla!!!
Comment 2 Ray Strode [halfline] 2006-09-11 09:20:39 EDT
reassigning to the X guys, but if it started happening when you upgraded the
kernel, then it might be a kernel problem, yea?
Comment 3 JuanIgnacioTorres 2006-09-12 03:03:21 EDT
so you see. it seems rare to me that it can load version 2.6.15-1.2054_fc5
without problems. and that version 2.6.17-1.2174_FC5 is hung just when it
appears screen login. 
Comment 4 Adam Jackson 2007-03-08 18:23:41 EST
Does this problem occur at all in FC6 or FC7t2 ?
Comment 5 JuanIgnacioTorres 2007-03-10 12:17:58 EST
I solve it... the problem is the ati drivers and kernel.
Install FC 6
Select Vesa drivers for working normaly
Download and install ati driver: www.ati.com
Modify the xorg.org

Put this code:

# Working /etc/X11/xorg.conf for ATI fglrx 8.29.6 and Fedora Core 6
# Created by Michael Larabel / Phoronix
# See: http://www.phoronix.com/redblog/index.php?p=blog&i=NTU1MA

Section "ServerLayout"
	Identifier     "Default Layout"
	Screen      0  "aticonfig-Screen[0]" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
	InputDevice    "Synaptics" "CorePointer"

###end of file####
Section "Module"
	Load  "dri"
	Load  "glx"

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"

Section "InputDevice"
	Identifier  "Synaptics"
	Driver      "synaptics"
	Option	    "Device" "/dev/input/mice"
	Option	    "Protocol" "auto-dev"
	Option	    "Emulate3Buttons" "yes"

Section "Monitor"
	Identifier   "aticonfig-Monitor[0]"
	Option	    "VendorName" "ATI Proprietary Driver"
	Option	    "ModelName" "Generic Autodetecting Monitor"
	Option	    "DPMS" "true"

Section "Device"
	Identifier  "aticonfig-Device[0]"
	Driver      "fglrx"

Section "Screen"
	Identifier "aticonfig-Screen[0]"
	Device     "aticonfig-Device[0]"
	Monitor    "aticonfig-Monitor[0]"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24

Section "Extensions"
	Option "Composite" "Disable"

###End of file##

more Information: http://www.phoronix.com/redblog/?p=blog&i=NTU1MA

Tanks for you help.

Fedora Core is great S.O. Long life Linux :D
Comment 6 Matěj Cepl 2007-03-12 09:59:32 EDT
No, that's not correct. We cannot do binary-only proprietary drivers here (which
is what you installed). Reporter, are you willing to help us with testing of the
open-source driver? If not, I will have to close this bug as CANTFIX but
otherwise this has not resolved yet.

If you would like to help, please attach your X server config file (using open
source drivers) /etc/X11/xorg.conf and X server log file (/var/log/Xorg.*.log)
to the bug report as individual uncompressed file attachments using the bugzilla
file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 7 Adam Jackson 2007-05-26 15:09:47 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.